## clonezilla 2.5.1-1drbm

=== debian/changelog ===
clonezilla (2.5.1-1drbm) unstable; urgency=low

  * The usage of ocs-sr and drbl-ocs were updated. "ask_user" and "autoname" were added.
  * An option to use "autoname" to create the image name was added.  Thanks to encephalophone (Mike) for the patch.
  * An option (-icds, --ignore-chk-dsk-size-pt) to skip checking skip checking destination disk size before creating the partition table on it was added. Thanks to Sartoratti Lorenzo for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 20 Jan 2012 14:16:15 +0800

## clonezilla 2.5.2-1drbl

=== debian/changelog ===
clonezilla (2.5.2-1drbl) unstable; urgency=low

  * The usage of ocs-sr and drbl-ocs were updated. "ask_user" and "autoname" were added.
  * An option to use "autoname" to create the image name was added.  Thanks to encephalophone (Mike) for the patch.
  * An option (-icds, --ignore-chk-dsk-size-pt) to skip checking skip checking destination disk size before creating the partition table on it was added. Thanks to Sartoratti Lorenzo for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 20 Jan 2012 14:19:03 +0800

## clonezilla 2.5.3-1drbl

=== debian/changelog ===
clonezilla (2.5.3-1drbl) unstable; urgency=low

  * A better mechanism was implemented in ocs-update-syslinux. Only when the files to be updated are found on the system "syslinux -i" will be run.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 21 Jan 2012 21:40:33 +0800

## clonezilla 2.5.4-1drbl

=== debian/changelog ===
clonezilla (2.5.4-1drbl) unstable; urgency=low

  * Disable apt languages and translations when creating DRBL live. This could reduce apt repository issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jan 2012 16:48:46 +0800

## clonezilla 2.5.5-1drbl

=== debian/changelog ===
clonezilla (2.5.5-1drbl) unstable; urgency=low

  * Package discover1 was removed from the packages list in create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jan 2012 17:36:02 +0800

## clonezilla 2.5.6-1drbl

=== debian/changelog ===
clonezilla (2.5.6-1drbl) unstable; urgency=low

  * Disable apt languages and translations when creating Clonezilla/GParted live. This could reduce apt repository issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jan 2012 20:14:42 +0800

## clonezilla 2.5.7-1drbl

=== debian/changelog ===
clonezilla (2.5.7-1drbl) unstable; urgency=low

  * "sudo" was added before "sgdisk -z /dev/sdx" prompt. Thanks to drobb for this suggestion.
  * The required packages of grub 1 and 2 were updated when Clonezilla/DRBL/GParted live are created.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Jan 2012 13:11:34 +0800

## clonezilla 2.5.7-2drbl

=== debian/changelog ===
clonezilla (2.5.7-2drbl) unstable; urgency=low

  * LVM on RAID device CCISS was improved. Thanks to Gianluca Bellina <Gianluca.Bellina _at_ acision com> for the bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Jan 2012 13:25:52 +0800

## clonezilla 2.5.8-1drbl

=== debian/changelog ===
clonezilla (2.5.8-1drbl) unstable; urgency=low

  * A better way to purge grub1 or grub2 related packages was implemented in the functions of prepare_grub1_files_if_required and prepare_grub2_files_if_required.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Jan 2012 18:21:40 +0800

## clonezilla 2.5.9-1drbl

=== debian/changelog ===
clonezilla (2.5.9-1drbl) unstable; urgency=low

  * The descriptions about grub2 and grub1 in functions of prepare_grub2_files_if_required and prepare_grub1_files_if_required of ocs-functions were updated.
  * Option -fsck-src-part-y was added for running fsck with option -y.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Feb 2012 20:38:50 +0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install

	$(MAKE) install DESTDIR=$(CURDIR)/debian/clonezilla/

## clonezilla 2.5.10-1drbl

=== debian/changelog ===
clonezilla (2.5.10-1drbl) unstable; urgency=low

  * Command fsck with options will be shown before running.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Feb 2012 09:14:49 +0800

## clonezilla 2.5.11-1drbl

=== debian/changelog ===
clonezilla (2.5.11-1drbl) unstable; urgency=low

  * The prompt in ocs-update-syslinux was updated.
  * Force the kernel to re-read the partition table after sgdisk --zap-all the disk.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Feb 2012 22:06:17 +0800

## clonezilla 2.5.12-1drbl

=== Makefile ===
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
SHELL := /bin/bash
prefix = /${DESTDIR}
maindir = /opt/drbl/

all:
	@echo "No need to compile..."

install:
	install -d ${prefix}/$(maindir)/{bin,sbin,conf,samples}
	install -d ${prefix}/$(maindir)/setup/files/{ocs,gparted}
	install scripts/* ${prefix}/$(maindir)/sbin/
	install bin/* ${prefix}/$(maindir)/bin/
	cp -ar files/ocs/* ${prefix}/$(maindir)/setup/files/ocs/
	cp -ar files/gparted/* ${prefix}/$(maindir)/setup/files/gparted/
	install -m 644 conf/drbl-ocs.conf ${prefix}/$(maindir)/conf/
	install samples/* ${prefix}/$(maindir)/samples

=== debian/changelog ===
clonezilla (2.5.12-1drbl) unstable; urgency=low

  * Using btrfs instead of btrfsctl in ocs-resize-part.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Feb 2012 15:29:58 +0800

## clonezilla 2.5.13-1drbl

=== debian/changelog ===
clonezilla (2.5.13-1drbl) unstable; urgency=low

  * An option to start over while keeping the mounted image repository was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 10 Feb 2012 16:52:16 +0800

## clonezilla 2.5.13-2drbl

=== debian/changelog ===
clonezilla (2.5.13-2drbl) unstable; urgency=low

  * Update the requires for drbl 1.11.2.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Feb 2012 09:10:08 +0800

## clonezilla 2.5.14-2drbl

=== debian/changelog ===
clonezilla (2.5.14-2drbl) unstable; urgency=low

  * Switch to use "lrzip -q -d -o -" instead of "lrzcat -q" so that in order version of lrzip can be used. Closed https://sourceforge.net/tracker/index.php?func=detail&aid=3487541&group_id=115473&atid=671650.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Feb 2012 14:32:04 +0800

## clonezilla 2.5.15-1drbl

=== debian/changelog ===
clonezilla (2.5.15-1drbl) unstable; urgency=low

  * Replacing dillo with netsurf, and adding nilfs-tools in create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Feb 2012 10:21:38 +0800

## clonezilla 2.5.16-1drbl

=== debian/changelog ===
clonezilla (2.5.16-1drbl) unstable; urgency=low

  * A warning message about grub 1 on ext4 partition will be shown.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Feb 2012 23:06:16 +0800

## clonezilla 2.5.17-1drbl

=== debian/changelog ===
clonezilla (2.5.17-1drbl) unstable; urgency=low

  * Allowing cancellation when selecting a dir name for local image repository. Closed https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3491047&group_id=115473

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Feb 2012 11:22:44 +0800

## clonezilla 2.5.18-1drbl

=== debian/changelog ===
clonezilla (2.5.18-1drbl) unstable; urgency=low

  * Enabling startpar for DRBL live server.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Feb 2012 15:05:34 +0800

## clonezilla 2.5.19-1drbl

=== debian/changelog ===
clonezilla (2.5.19-1drbl) unstable; urgency=low

  * Adding package samba-common-bin in create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 Mar 2012 22:18:24 +0800

## clonezilla 2.5.20-1drbl

=== debian/changelog ===
clonezilla (2.5.20-1drbl) unstable; urgency=low

  * Adding packages "tree" and "cifs-utils" for gparted live in create-gparted-live.
  * The image of a partition saved by dd won't be treated as a broken one in ocs-chkimg.
  * The grub4 on ext4 warning will be shown again if grub1 is not run successfully.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 05 Mar 2012 14:28:23 +0800

## clonezilla 2.5.21-1drbl

=== debian/changelog ===
clonezilla (2.5.21-1drbl) unstable; urgency=low

  * Adding packages wicd and xvnc4viewe in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Mar 2012 10:58:15 +0800

## clonezilla 2.5.22-1drbl

=== debian/changelog ===
clonezilla (2.5.22-1drbl) unstable; urgency=low

  * A function get_not_busy_disks_or_parts was added in ocs-functions so it can be reused. 
  * Another researved name "all" is used for using all the devices could be found in the system or in the image. Thanks to matthiaswe for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 18 Mar 2012 22:00:54 +0800

## clonezilla 2.5.23-1drbl

=== debian/changelog ===
clonezilla (2.5.23-1drbl) unstable; urgency=low

  * A workaround was added to avoid grpck error during booting. Ref: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=638263

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 04 Apr 2012 21:11:43 +0800

## clonezilla 2.5.24-1drbl

=== debian/changelog ===
clonezilla (2.5.24-1drbl) unstable; urgency=low

  * Typo fixed in the previous grpck workaround.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 04 Apr 2012 22:01:54 +0800

## clonezilla 2.5.26-1drbl

=== debian/changelog ===
clonezilla (2.5.26-1drbl) unstable; urgency=low

  * More non-free firmware, e.g. ipw2200, will be included in Ubuntu-based Clonezilla live. Thanks to Shinobi (iam_shinobi _at_ yahoo com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 06 Apr 2012 21:50:22 +0800

clonezilla (2.5.25-1drbl) unstable; urgency=low

  * Vmfs5 supported by partclone was enabled in drbl-ocs.conf, because partclone 0.2.46 has supported it.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Apr 2012 08:15:20 +0800

## clonezilla 2.5.27-1drbl

=== debian/changelog ===
clonezilla (2.5.27-1drbl) unstable; urgency=low

  * Non-free firmware doc will be included in Ubuntu-based Clonezilla live, too.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Apr 2012 09:50:54 +0800

## clonezilla 2.5.28-1drbl

=== debian/changelog ===
clonezilla (2.5.28-1drbl) unstable; urgency=low

  * Bug fixed: Non-free firmware doc should not be removed by function dirty_hacking_rm_files_for_ocs_live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Apr 2012 10:27:01 +0800

## clonezilla 2.5.29-1drbl

=== debian/changelog ===
clonezilla (2.5.29-1drbl) unstable; urgency=low

  * An option to use "autohostname" to create the image name was added.  Thanks to tererecool for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 08 Apr 2012 20:03:13 +0800

## clonezilla 2.5.30-1drbl

=== debian/changelog ===
clonezilla (2.5.30-1drbl) unstable; urgency=low

  * Bug fixed: missing option -bt|--bootstrap for create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Apr 2012 13:44:38 +0800

## clonezilla 2.5.31-1drbl

=== debian/changelog ===
clonezilla (2.5.31-1drbl) unstable; urgency=low

  * "autohostname" was improved when no FQDN was found.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Apr 2012 14:56:35 +0800

## clonezilla 2.5.32-1drbl

=== debian/changelog ===
clonezilla (2.5.32-1drbl) unstable; urgency=low

  * Allowing to enter command line prompt to create partition table when blank destination disk is found in restoreparts mode.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 Apr 2012 09:26:07 +0800

## clonezilla 2.5.33-1drbl

=== debian/changelog ===
clonezilla (2.5.33-1drbl) unstable; urgency=low

  * Adding Ubuntu Quantal support in create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 May 2012 16:34:46 +0800

## clonezilla 2.5.34-1drbl

=== debian/changelog ===
clonezilla (2.5.34-1drbl) unstable; urgency=low

  * Bug fixed: Putting cifs as one of the network filesystem in prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 20:05:09 +0800

## clonezilla 2.5.35-1drbl

=== debian/changelog ===
clonezilla (2.5.35-1drbl) unstable; urgency=low

  * Adding gptsync in packages list of create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 May 2012 10:09:13 +0800

## clonezilla 2.5.37-1drbl

=== debian/changelog ===
clonezilla (2.5.37-1drbl) unstable; urgency=low

  * Bug fixed: when mounting partition in install_grub_hd, swap and extended partition should be skipped otherwise mount command might hang.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Jun 2012 16:45:19 +0800

clonezilla (2.5.36-1drbl) unstable; urgency=low

  * Force to add net-tools in packages list of create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 May 2012 10:53:32 +0800

## clonezilla 2.5.38-1drbl

=== debian/changelog ===
clonezilla (2.5.38-1drbl) unstable; urgency=low

  * Bug fixed: (another one) when mounting partition in install_grub_hd, swap and extended partition should be skipped otherwise mount command might hang.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Jun 2012 20:22:29 +0800

## clonezilla 2.5.39-1drbl

=== debian/changelog ===
clonezilla (2.5.39-1drbl) unstable; urgency=low

  * Improvement: if somehow protective MBR does not exist in GPT disk, we will create it.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Jun 2012 22:04:57 +0800

## clonezilla 2.5.40-1drbl

=== debian/changelog ===
clonezilla (2.5.40-1drbl) unstable; urgency=low

  * Bug fixed: no grub config head data in ocs-gen-grub2-efi-bldr.
  * Booting on uEFI machine is supported in ocs-iso and ocs-live-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 13 Jun 2012 16:47:42 +0800

## clonezilla 2.5.41-1drbl

=== debian/changelog ===
clonezilla (2.5.41-1drbl) unstable; urgency=low

  * Command "sleep 1" was added before running gdisk after sgdisk -l.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 Jun 2012 21:49:52 +0800

## clonezilla 2.5.42-1drbl

=== debian/changelog ===
clonezilla (2.5.42-1drbl) unstable; urgency=low

  * A better mechanism was implemented to decide the restored OS is using grub 1 or 2. Thanks to Robert Weir for reporting this issue on Fedora 17 restoring.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Jun 2012 11:59:05 +0800

## clonezilla 2.6.1-1drbl

=== debian/changelog ===
clonezilla (2.6.1-1drbl) unstable; urgency=low

  * Comments were added in ocs-live-hook to mention about ocs_live_keymap is deprecated.
  * In DRBL/Clonezilla live, ocs_lang will honor the live-config boot parameter "locales", and live-config boot parameters "keyboard-layouts" or "live-config.keyboard-layouts" will be honored, too. From now on ocs_live_keymap is deprecated.
  * In GParted live, gl_lang will honor the live-config boot parameter "locales", and live-config boot parameters "keyboard-layouts" or "live-config.keyboard-layouts" will be honored, too. From now on "keyb" is deprecated.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Jun 2012 11:37:57 +0800

## clonezilla 2.6.2-1drbl

=== debian/changelog ===
clonezilla (2.6.2-1drbl) unstable; urgency=low

  * Bug fixed: wrong variables in S03prep-drbl-clonezilla and S03prep-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Jun 2012 15:30:37 +0800

## clonezilla 2.6.3-1drbl

=== debian/changelog ===
clonezilla (2.6.3-1drbl) unstable; urgency=low

  * Showing deprecated messages about boot parameters ocs_live_keymap, ocs_lang, gl_kbd, gl_lang, and keyb.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 30 Jun 2012 13:36:17 +0800

## clonezilla 2.6.4-1drbl

=== debian/changelog ===
clonezilla (2.6.4-1drbl) unstable; urgency=low

  * Make the output of S03prep-drbl-clonezilla and S03prep-gparted-live better for reading.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 30 Jun 2012 14:03:07 +0800

## clonezilla 2.6.5-1drbl

=== debian/changelog ===
clonezilla (2.6.5-1drbl) unstable; urgency=low

  * Function show_deprecated_ocs_gl_lang_and_keymap was added in gl-functions.
  * Separating the functions to show the deprecated messages for keybord and lang in Clonezilla/DRBL live and GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 01 Jul 2012 16:17:24 +0800

## clonezilla 2.6.6-1drbl

=== debian/changelog ===
clonezilla (2.6.6-1drbl) unstable; urgency=low

  * Bug fixed: gl_lang taken from locales should be without ".UTF-8".

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 01 Jul 2012 19:36:45 +0800

## clonezilla 2.6.7-1drbl

=== debian/changelog ===
clonezilla (2.6.7-1drbl) unstable; urgency=low

  * "menu :RootMenu" will be appended to fluxbox's keys file in GParted live. Ref: https://bugzilla.gnome.org/show_bug.cgi?id=578842#c8

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Jul 2012 21:56:46 +0800

## clonezilla 2.6.8-1drbl

=== debian/changelog ===
clonezilla (2.6.8-1drbl) unstable; urgency=low

  * Bug fixed: "Menu :RootMenu" not "menu :RootMenu".

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Jul 2012 19:26:49 +0800

## clonezilla 2.6.9-1drbl

=== debian/changelog ===
clonezilla (2.6.9-1drbl) unstable; urgency=low

  * Comment was added in front of "Menu :RootMenu".

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Jul 2012 23:38:24 +0800

## clonezilla 2.6.10-1drbl

=== debian/changelog ===
clonezilla (2.6.10-1drbl) unstable; urgency=low

  * Netsurf icon was added on idesktop of GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Jul 2012 04:49:14 +0800

## clonezilla 2.6.11-1drbl

=== debian/changelog ===
clonezilla (2.6.11-1drbl) unstable; urgency=low

  * File system exfat was added in partclone support file system.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Jul 2012 22:53:41 +0800

## clonezilla 2.6.12-1drbl

=== debian/changelog ===
clonezilla (2.6.12-1drbl) unstable; urgency=low

  * Package linux-image-extra was added in Ubuntu-based (12.10 pre-release) Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Jul 2012 19:26:50 +0800

## clonezilla 2.6.13-1drbl

=== debian/changelog ===
clonezilla (2.6.13-1drbl) unstable; urgency=low

  * Bug fixed: linux-image-extra version was not assigned correctly in Ubuntu-based (12.10 pre-release) Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Jul 2012 20:13:55 +0800

## clonezilla 2.6.14-1drbl

=== debian/changelog ===
clonezilla (2.6.14-1drbl) unstable; urgency=low

  * The function get_live_autologin_account of ocs-functions will now search the files in /etc/sudoers.d/, too.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 14 Jul 2012 17:25:26 +0800

## clonezilla 2.6.15-1drbl

=== debian/changelog ===
clonezilla (2.6.15-1drbl) unstable; urgency=low

  * Adding "sleep 5" after showning the warning about genisoimage not supporting "-efi-boot" option.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 21 Jul 2012 09:59:41 +0800

## clonezilla 2.6.16-1drbl

=== debian/changelog ===
clonezilla (2.6.16-1drbl) unstable; urgency=low

  * The command to save an image will be saved in the image dir as file Info-saved-by-cmd.txt.
  * Adding package "man" in GParted live, and keeping the /usr/share/man files.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Jul 2012 11:46:03 +0800

## clonezilla 2.6.17-1drbl

=== debian/changelog ===
clonezilla (2.6.17-1drbl) unstable; urgency=low

  * Bug fixed: failed to multicast restore an EFI disk. 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 27 Jul 2012 22:04:17 +0800

## clonezilla 2.6.18-1drbl

=== debian/changelog ===
clonezilla (2.6.18-1drbl) unstable; urgency=low

  * Do not remove libfreetype6 when creating Clonezilla live. It's required by fontconfig.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 27 Jul 2012 22:32:17 +0800

## clonezilla 2.6.19-1drbl

=== debian/changelog ===
clonezilla (2.6.19-1drbl) unstable; urgency=low

  * The man pages will be kept in GParted live (https://bugzilla.gnome.org/show_bug.cgi?id=680503).
  * Packages leafpad and pcmanfm were added in GParted live (https://bugzilla.gnome.org/show_bug.cgi?id=680504).

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 28 Jul 2012 08:49:13 +0800

## clonezilla 2.6.20-1drbl

=== debian/changelog ===
clonezilla (2.6.20-1drbl) unstable; urgency=low

  * Bug fixed: leafpad in the fluxbox menu should not run with a terminal in GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 28 Jul 2012 10:01:23 +0800

## clonezilla 2.6.21-1drbl

=== debian/changelog ===
clonezilla (2.6.21-1drbl) unstable; urgency=low

  * The function get_live_autologin_account of gl-functions will now search the files in /etc/sudoers.d/, too.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Aug 2012 14:25:44 +0800

## clonezilla 3.0.0

=== debian/changelog ===
clonezilla (3.0.0-drbl1) unstable; urgency=low

  * Clonezilla version 3. New files arch so it's easier to be packaged in Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 Aug 2012 09:18:17 +0800

=== debian/control ===
Source: clonezilla
Section: misc
Priority: optional
Maintainer: Steven Shiau <steven@nchc.org.tw>
Build-Depends: debhelper (>= 7.0.15)
Build-Depends-Indep:
Standards-Version: 3.9.3
Homepage: http://clonezilla.org/

Package: clonezilla
Architecture: all
Depends: ${misc:Depends}, perl, bash, wget, drbl (>= 2.0.0)
Recommends:
Suggests:
Description: A partition or disk cloning tool
 Clonezilla, based on DRBL, Partclone, and udpcast, allows you to do bare metal backup and recovery. Two types of Clonezilla are available, Clonezilla live and Clonezilla SE (Server Edition). Clonezilla live is suitable for single machine backup and restore. While Clonezilla SE is for massive deployment, it can clone many (40 plus!) computers simultaneously.
 .
 For more info, check http://clonezilla.org, http://clonezilla.nchc.org.tw.

## clonezilla 3.0.1

=== debian/changelog ===
clonezilla (3.0.1-drbl1) unstable; urgency=low

  * Adding experimental branch option in create-*-live, and remove unnecessary branch list.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Aug 2012 19:39:45 +0800

## clonezilla 3.0.2

=== debian/changelog ===
clonezilla (3.0.2-drbl1) unstable; urgency=low

  * Bug fixed: drbl.conf and drbl-ocs.conf are not in $DRBL_SCRIPT_PATH/conf/ anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Aug 2012 22:35:05 +0800

## clonezilla 3.0.3

=== debian/changelog ===
clonezilla (3.0.3-drbl1) unstable; urgency=low

  * Using file GPL instead of COPYING in live CD root dir.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Aug 2012 10:30:32 +0800

## clonezilla 3.0.4

=== debian/changelog ===
clonezilla (3.0.4-drbl1) unstable; urgency=low

  * Bug fixed: system PATH in live CD should include /sbin and /usr/sbin

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Aug 2012 13:29:26 +0800

## clonezilla 3.0.5

=== debian/changelog ===
clonezilla (3.0.5-drbl1) unstable; urgency=low

  * Using /usr/share/drbl instead of /usr/share/drbl/ so that no "//" in the PATH.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Aug 2012 22:38:46 +0800

## clonezilla 3.0.6

=== debian/changelog ===
clonezilla (3.0.6-drbl1) unstable; urgency=low

  * Comments about isohybriding template iso and clonezilla/drbl/gparted iso were added.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 13 Aug 2012 09:17:18 +0800

## clonezilla 3.0.7

=== debian/changelog ===
clonezilla (3.0.7-drbl1) unstable; urgency=low

  * Bug fixed: The description using space key to mark the selection for disk to disk clone is not required. Thanks to sabrehagen (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3552271&group_id=115473).

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 15 Aug 2012 14:27:02 +0800

## clonezilla 3.0.8

=== debian/changelog ===
clonezilla (3.0.8-drbl1) unstable; urgency=low

  * Boot parameter "ocs_lang" in Clonezilla live is now replaced by "locales" from live-config.
  * Boot parameter "ocs_live_keymap" Clonezilla live is now replaced by "keyboard-layouts" from live-config.
  * Boot parameters "echo_ocs_prerun" and "echo_ocs_postrun" were added. This can be used to disable echoing the ocs_prerun and ocs_postrun command.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 15 Aug 2012 23:16:05 +0800

## clonezilla 3.0.9

=== debian/changelog ===
clonezilla (3.0.9-drbl1) unstable; urgency=low

  * Tidy the boot parameters of Clonezilla live by modifying ocs-iso and ocs-live-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 17 Aug 2012 10:54:55 +0800

## clonezilla 3.0.10

=== debian/changelog ===
clonezilla (3.0.10-drbl1) unstable; urgency=low

  * Boot parameter "nolocales" was removed from Clonezilla live since now "locales=" is used by default.
  * Prompt msg_client_job_are_logged_in was updated. Thanks to René Mérou for asking.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Aug 2012 15:00:36 +0800

## clonezilla 3.1.1

=== debian/changelog ===
clonezilla (3.1.1-drbl1) unstable; urgency=low

  * Removing the vague "Something went wrong" prompts.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Aug 2012 10:22:32 +0800

clonezilla (3.1.0-drbl1) unstable; urgency=low

  * Using drbl-sl instead of calling drbl-SL.sh now.
  * Using drbl-live.sh instead of calling drbl-live now. 
  * Adding the interpreter's magic number for ocs-functions, and 
    ocs-chnthn-functions to avoid lintian's warning.
  * Fie ocs-srv-live.sh was renamed as ocs-srv-live.
  * Bug fixed: an extra "{" in the end of MC_HxEd was removed.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Aug 2012 11:48:21 +0800

## clonezilla 3.1.6

=== debian/changelog ===
clonezilla (3.1.6-drbl1) unstable; urgency=low

  * Bug fixed: the VOL_LIMIT for spliting image file could not larger than 20000000000000. Ref: https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3567350&group_id=115473
  * Bug fixed: saving mode should enable ncurse interface by default, too. Otherwise it's confusing.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Sep 2012 14:46:41 +0800

clonezilla (3.1.5-drbl1) unstable; urgency=low

  * A KMS mode in the boot menu was added.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 08 Sep 2012 09:26:14 +0800

clonezilla (3.1.4-drbl1) unstable; urgency=low

  * Bug fixed: when vga=normal, locales was not set in /etc/ocs/ocs-live.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Sep 2012 06:13:40 +0800

clonezilla (3.1.3-drbl1) unstable; urgency=low

  * Using drbl-run-parts instead of run-parts. This will be more 
    straightforward.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Sep 2012 07:30:17 +0800

clonezilla (3.1.2-drbl1) unstable; urgency=low

  * A reserved image name "autoproductname" was added so that Clonezilla 
    can be used to save and restore image based on manufacture and product 
    name got from dmidecode.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Aug 2012 14:23:46 +0800

## clonezilla 3.1.7

=== debian/changelog ===
clonezilla (3.1.7-drbl1) unstable; urgency=low

  * Bug fixed: integer too large won't work in bash if command, changed to bc.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Sep 2012 17:00:37 +0800

=== debian/control ===
Source: clonezilla
Section: admin
Priority: extra
Maintainer: Steven Shiau <steven@nchc.org.tw>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
Standards-Version: 3.9.3
Homepage: http://clonezilla.org/

Package: clonezilla
Architecture: all
Depends: ${misc:Depends}, perl, bash (>= 4.0.0), wget, drbl (>= 2.0.13)
Recommends:
Suggests:
Description: Partition/disk cloning/imaging tool
 Clonezilla, based on DRBL, Partclone, and udpcast, allows you to do bare
 metal backup and recovery. Two types of Clonezilla are available,
 Clonezilla live and Clonezilla SE (Server Edition). Clonezilla live is
 suitable for single machine backup and restore. While Clonezilla SE is
 for massive deployment, it can clone many (40 plus!) computers simultaneously.
 .
 For more info, check http://clonezilla.org, http://clonezilla.nchc.org.tw.

## clonezilla 3.1.13

=== debian/changelog ===
clonezilla (3.1.13-drbl1) unstable; urgency=low

  * Bug fixed: the *.mod files for grub2 are not fixed in the path /boot/grub/. 
    It could be in /boot/grub/i386-pc/. Function install_grub_hd failed in 
    this case.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Oct 2012 22:21:26 +0800

clonezilla (3.1.12-drbl1) unstable; urgency=low

  * Bug fixed: Prompts in create-ubuntu-live were out-of-date. They are updated 
    so there is no problem to create Raring-based Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 22 Oct 2012 15:33:07 +0800

clonezilla (3.1.11-drbl1) unstable; urgency=low

  * Bug fixed: variable DRBL_SCRIPT_PATH was not defined correctly in live-hook files 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Sep 2012 13:51:10 +0800

clonezilla (3.1.10-drbl1) unstable; urgency=low

  * Bug fixed: the install_grub_hd in ocs-live-dev should skip checking the boot loader on the USB flash drive, because it might be new, empty one.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Sep 2012 11:46:52 +0800

clonezilla (3.1.9-drbl1) unstable; urgency=low

  * Typo fixed in ocs-live-boot-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Sep 2012 09:10:08 +0800

clonezilla (3.1.8-drbl1) unstable; urgency=low

  * To avoid the KMS and vmwgfx conflict issue (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=686939), some blacklist boot parameters were added.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Sep 2012 08:35:26 +0800

## clonezilla 3.1.15

=== debian/changelog ===
clonezilla (3.1.15-drbl1) unstable; urgency=low

  * Bug fixed: the filesystem.squashfs is in /lib/live/image/ when created by live-build 3.x.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Oct 2012 13:38:26 +0800

clonezilla (3.1.14-drbl1) unstable; urgency=low

  * Bug fixed: autohostname failed to append the time tag for the image name.
    Thanks to dennisd248 for reporthing this bug.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Oct 2012 10:41:03 +0800

## clonezilla 3.1.19

=== debian/changelog ===
clonezilla (3.1.19-drbl1) unstable; urgency=low

  * Bug fixed: ocs-lvm2-stop did not work on Ubuntu Linux due to 
    the udevd rules 85-lvm2.rules from Ubuntu.
  * File system exfat was removed from supporting list in drbl-ocs.conf 
    due to patent concern.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Nov 2012 22:09:51 +0800

clonezilla (3.1.18-drbl1) unstable; urgency=low

  * Suppress the stderr messages of ocs-lvm2-start and ocs-lvm2-stop.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 08 Nov 2012 08:44:54 +0800

clonezilla (3.1.17-drbl1) unstable; urgency=low

  * Bug fixed: uEFI booting of Quantal-based Clonezilla failed due to 
    grub 2.x has no "pci.mod", so we should not list it.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Nov 2012 14:01:42 +0800

clonezilla (3.1.16-drbl1) unstable; urgency=low

  * Bug fixed: for live-config v3.x, the last file in /lib/live/config/ 
    is 9990-hooks, not 999-hooks. S00ocs-start should honor 9990-hooks, too.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Oct 2012 20:55:55 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: clonezilla
 Architecture: all
-Depends: ${misc:Depends}, perl, bash (>= 4.0.0), wget, drbl (>= 2.0.13)
+Depends: ${misc:Depends}, perl, bash (>= 4.0.0), wget, drbl (>= 2.1.19)
 Recommends:
 Suggests:
 Description: Partition/disk cloning/imaging tool

## clonezilla 3.1.23

=== debian/changelog ===
clonezilla (3.1.23-drbl1) unstable; urgency=low

  * Locale ca_ES will be generated when creating Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 28 Nov 2012 20:06:48 +0800

clonezilla (3.1.22-drbl1) unstable; urgency=low

  * Bug fixed: for Debian live 3.x, the filesystem.squashfs is 
    in /lib/live/image.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Nov 2012 11:45:41 +0800

clonezilla (3.1.21-drbl1) unstable; urgency=low

  * Bug fixed: the for loop for searching files /lib/udev/rules.d/*.drblsave
    should test if file really exists before going on.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 23 Nov 2012 20:57:54 +0800

clonezilla (3.1.20-drbl1) unstable; urgency=low

  * Help messages about autoproductname were added.
  * Another partition table file was added in image dir. 
    It's easier for human to read.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 23 Nov 2012 19:40:46 +0800

## clonezilla 3.1.24

=== debian/changelog ===
clonezilla (3.1.24-drbl1) unstable; urgency=low

  * Bug fixed: the -k option of ocs-iso and ocs-live-dev should 
    be updated since now keyboard layout boot parameter from 
    live-config is used.
  * Bug fixe: the batch_mode on the server is nothing to do with 
    that on the client in the program ocs-onthefly. Thanks to kevluck373 
    for reporting this issue 
    (https://sourceforge.net/projects/clonezilla/forums/forum/663168/topic/6188724).
  * The options "-j" and "-n" of ocs-iso and ocs-live-dev were removed 
    because we won't put the template iso on the repository anymore.
  * No more using templiate iso from reporitory, now we use clonezilla live
    iso when running ocs-iso or ocs-live-dev to create a recovery iso or zip.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Nov 2012 09:15:43 +0800

## clonezilla 3.1.25

=== debian/changelog ===
clonezilla (3.1.25-drbl1) unstable; urgency=low

  * Bug fixed: the description for the option "-r" of ocs-sr and ocs-onthefly was polished. Thanks to auroracore.
  * Updtaed the lh_ver_required in drbl-ocs.conf, and since we no more using cdebootstrap to create Clonezilla/DRBL/GParted live, variable should change to debootstrap_ver_required instead of cdebootstrap_ver_required.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Dec 2012 11:30:02 +0800

## clonezilla 3.1.28

=== debian/changelog ===
clonezilla (3.1.28-drbl1) unstable; urgency=low

  * Bug fixed: partition table should be initialized before using 
    function check_mbr_disk_size_gt_2TiB.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Dec 2012 15:14:40 +0800

clonezilla (3.1.27-drbl1) unstable; urgency=low

  * Bug fixed: converting the checking mechanism of 2 TiB as 
    function and using that all before writing MBR partition table 
    on a hard disk.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Dec 2012 10:53:24 +0800

clonezilla (3.1.26-drbl1) unstable; urgency=low

  * Bug fixed: MBR partition table should not be larger than 2 TiB (2.2 TB). 
    A checking mechanism was added in ocs-expand-mbr-pt to avoid going on.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 23:05:46 +0800

## clonezilla 3.1.29

=== debian/changelog ===
clonezilla (3.1.29-drbl1) unstable; urgency=low

  * Bug fixed: typos in the prompt were fixed.
  * Bug fixed: To avoid the OS does not know the partition changes, a commnad 
    "partprobe" was added in prep-ocsroot after local disk is inserted. 
    Thanks to neikalo for reporting this issue 
    (https://sourceforge.net/tracker/index.php?func=detail&aid=3592776&group_id=115473&atid=671650).
  * Bug fixed: To avoid grub1 on ext4 issue, running the grub-install from the 
    restored OS should be try first. If fails, then using the grub1 on the 
    running OS.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Dec 2012 00:09:54 +0800

## clonezilla 3.1.31

=== debian/changelog ===
clonezilla (3.1.31-drbl2) unstable; urgency=low

  * If the hidden data size won't be saved, a note file should be 
    saved in the image dir.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Dec 2012 13:38:05 +0800

clonezilla (3.1.31-drbl1) unstable; urgency=low

  * Bug fixed: install_grub_hd should not run for GPT disk.
  * If the hidden data size after MBR is larger than 
    $hidden_data_after_mbr_limit (definited in drbl-ocs.conf), it won't be saved.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Dec 2012 22:25:12 +0800

clonezilla (3.1.30-drbl1) unstable; urgency=low

  * Bug fixed: No more using "Something went wrong" message, instead more 
    precise messages will be given.
  * Module floppy was added in the blacklist in Clonezilla live and DRBL live. 
    The floppy is normally useless but if it exists, it might cause the disk d
    etection delay. If floppy is required, a user still can run 
    "modprobe floppy" to load it.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 16 Dec 2012 05:21:58 +0800

## clonezilla 3.1.32

=== debian/changelog ===
clonezilla (3.1.32-drbl1) unstable; urgency=low

  * If the hidden data size won't be saved, a note file should be 
    saved in the image dir.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Dec 2012 13:40:15 +0800

## clonezilla 3.1.33

=== debian/changelog ===
clonezilla (3.1.33-drbl1) unstable; urgency=low

  * Bug fixed: Usage prompt for "-f" in create-debian-live was not updated.
  * Option "-f" was added to create-ubuntu-live so that amd64 version of 
    Clonezilla live could be created.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Dec 2012 20:51:45 +0800

## clonezilla 3.1.34

=== debian/changelog ===
clonezilla (3.1.34-drbl1) unstable; urgency=low

  * Bug fixed: EFI booting for GParted live did not really work.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Dec 2012 15:16:16 +0800

## clonezilla 3.1.35

=== debian/changelog ===
clonezilla (3.1.35-drbl1) unstable; urgency=low

  * Package grub-pc instead of grub is put in the packages list
    of create-gparted-live.
  * Program create-gparted-live now supports creating amd64 release.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Dec 2012 23:29:12 +0800

## clonezilla 3.1.38

=== debian/changelog ===
clonezilla (3.1.38-drbl1) unstable; urgency=low

  * Using functions to decide if GPT or MBR disk in ocs-onthefly.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Dec 2012 21:05:54 +0800

clonezilla (3.1.37-drbl1) unstable; urgency=low

  * Using functions to decide if GPT or MBR disk in ocs-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Dec 2012 16:22:42 +0800

clonezilla (3.1.36-drbl1) unstable; urgency=low

  * Adding packages exfat-utils, exfat-fuse and tcplay in create-gparted-live.
  * Bug fixed: EFI booting for DRBL live did not really work.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Dec 2012 10:52:13 +0800

## clonezilla 3.2.2

=== debian/changelog ===
clonezilla (3.2.2-drbl1) unstable; urgency=low

  * Using "route -n" instead of "route" to find the default 
    gateway in function network_config_if_necessary of ocs-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Jan 2013 17:49:10 +0800

clonezilla (3.2.1-drbl1) unstable; urgency=low

  * Two log files were separated from clonezilla.log: 
    ocs-netcfg.log and ocs-mount.log.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Jan 2013 17:23:13 +0800

clonezilla (3.2.0-drbl1) unstable; urgency=low

  * Removing packages exfat-utils and exfat-fuse create-gparted-live.
  * If udevadm exists, use it to get the disk serial number. 
    Thanks to Miracle Linux for this idea.
  * Define the OCS_LOGFILE variable in drbl-ocs.conf.
  * The variable DRBL_SCRIPT_PATH in gparted-live-hook was removed. 
    It's not used when creating GParted live.
  * Function parse_cmdline_option in gl-functions was updated to be 
    the same as that in drbl-functions.
  * File ocs-devsort from Miracle Linux was added.
  * Part of the modifications from Miracle Linux were merged, including 
    using functions get_diskname, get_part_number... and logging the 
    screen output in /var/log/clonezilla.log.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Jan 2013 14:13:09 +0800

## clonezilla 3.2.7

=== debian/changelog ===
clonezilla (3.2.7-drbl1) unstable; urgency=low

  * Bug fixed: ocs-get-part-info failed to identify the cciss partition type.
  * Bug fixed: failed to identify logical partitioin in ocs-expand-mbr-pt.
  * Program cnvt-ocs-dev has been improved to be multipath compatible.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jan 2013 10:33:49 +0800

clonezilla (3.2.6-drbl1) unstable; urgency=low

  * All "hsv" related codes of Clonezilla were converted to multipath compatible.
  * The multipath codes from Miracle Linux were merged.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 08 Jan 2013 22:12:57 +0800

clonezilla (3.2.5-drbl1) unstable; urgency=low

  * Put the output of restore_hidden_data_after_MBR to log file, too.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 Jan 2013 21:36:52 +0800

clonezilla (3.2.4-drbl1) unstable; urgency=low

  * Typo fixed: "Unmouted" -> "Unmounted" in ocs-functions. 
    Thanks to Peter Bratton <peter _at_ bratton ca> for reporting this.
  * Part of the LVM codes from Miracle Linux were merged.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 Jan 2013 15:52:12 +0800

clonezilla (3.2.3-drbl1) unstable; urgency=low

  * Bug fixed: Getting default gateway was not working in function 
    network_config_if_necessary of ocs-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Jan 2013 19:38:27 +0800

## clonezilla 3.2.9

=== debian/changelog ===
clonezilla (3.2.9-drbl1) unstable; urgency=low

  * Function active_proc_partitions was moved to ocs-functions from drbl-functions.
  * Bug fixed: Swap partition of cciss partition was not saved and restored.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jan 2013 20:31:30 +0800

clonezilla (3.2.8-drbl1) unstable; urgency=low

  * Program create-ocs-tmp-img has been improved to be multipath compatible.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jan 2013 10:52:07 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: clonezilla
 Architecture: all
-Depends: ${misc:Depends}, perl, bash (>= 4.0.0), wget, drbl (>= 2.1.19)
+Depends: ${misc:Depends}, perl, bash (>= 4.0.0), wget, drbl (>= 2.2.0)
 Recommends:
 Suggests:
 Description: Partition/disk cloning/imaging tool

## clonezilla 3.2.13

=== debian/changelog ===
clonezilla (3.2.13-drbl1) unstable; urgency=low

  * Using the mapping file instead of /proc/partitions in ocs-chnthn-functions, ocs-functions and ocs-restore-mdisks.
  * Using the get_disk_list in ocs-chnthn.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Jan 2013 23:04:58 +0800

clonezilla (3.2.12-drbl1) unstable; urgency=low

  * Commets about using blkid to get file system was added in ocs-get-part-info.
  * Bug fixed: drbl-ocs-live-prep failed to identify the new, different arch 
    of iso for the alternative testing Clonezilla live on the repository.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 11 Jan 2013 11:00:00 +0800

clonezilla (3.2.11-drbl1) unstable; urgency=low

  * Bug fixed: failed to parse cciss/c0d0's partition number. 
    It should be nothing.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Jan 2013 11:37:59 +0800

clonezilla (3.2.10-drbl1) unstable; urgency=low

  * Bug fixed: Typos in ocs-chkimg and ocs-functions were fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jan 2013 23:04:08 +0800

## clonezilla 3.2.14

=== debian/changelog ===
clonezilla (3.2.14-drbl1) unstable; urgency=low

  * Adding Xen disk (/dev/xvd[a-z]) in the support device.
  * Adding one more info file "Info-lsblk.txt", lsblk output.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 17 Jan 2013 11:26:31 +0800

## clonezilla 3.3.0

=== debian/changelog ===
clonezilla (3.3.0-drbl1) unstable; urgency=low

  * The patches from Ceasar Sun for Fedora 17/18 were applied.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 Feb 2013 11:07:03 +0800

clonezilla (3.2.17-drbl1) unstable; urgency=low

  * Program fail-mbr.bin from partclone instead the one from 
    drbl is used from now on.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Jan 2013 11:40:15 +0800

clonezilla (3.2.16-drbl1) unstable; urgency=low

  * Bug fixed: ocs-onthefly failed to run disk to remote disk cloning.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Jan 2013 10:15:55 +0800

clonezilla (3.2.15-drbl1) unstable; urgency=low

  * The size of a partition will be got from lsblk first in ocs-get-part-info
    if program lsblk exists.
  * The options of ocs-resize-part have been changed. No more separating them 
    as "ocs-resize-part sda 1", now using "ocs-resize-part /dev/sda1" so that 
    we can use that for dm in the future.
  * The output file Info-lsblk.txt has been renamed to blkdev.list with
    formatted output.
  * Using file system info from lsblk (blkdev.list) since it's much easier 
    to use than the output of parted if it's device mapper devices.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Jan 2013 22:10:35 +0800

## clonezilla 3.3.2

=== debian/changelog ===
clonezilla (3.3.2-drbl1) unstable; urgency=low

  * Adding "-m 1024" option to partclone. 
    Thanks to Ingo Wolf <Ingo.Wolf _at_ gmx de> for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 10 Feb 2013 22:43:31 +0800

clonezilla (3.3.1-drbl1) unstable; urgency=low

  * Bug fixed: for Syslinux 5, 3 more files are required in 
    ocs-update-syslinux, i.e. ldlinux.c32, libcom32.c32, libutil.c32

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Feb 2013 17:26:46 +0800

## clonezilla 3.3.7

=== debian/changelog ===
clonezilla (3.3.7-drbl1) unstable; urgency=low

  * Bug fixed: failed to locate grub partition on cciss disk.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 Feb 2013 15:49:13 +0800

clonezilla (3.3.6-drbl1) unstable; urgency=low

  * An option -srel|--save-restore-error-log to force saving error log in
    the image dir was added in ocs-sr and drbl-ocs. By default we do not save
    that in the image dir when restoring. Only when saving it will be saved in
    the image dir. Thanks to futuremonkey for this suggestion.
  * 

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Feb 2013 20:58:43 +0800

clonezilla (3.3.5-drbl1) unstable; urgency=low

  * Bug fixed: multipath restoring for LVM failed due to do loop problem.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 13 Feb 2013 22:28:03 +0800

clonezilla (3.3.4-drbl1) unstable; urgency=low

  * Option "-m 1024" is used in ocs-onthefly, too.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Feb 2013 14:21:25 +0800

clonezilla (3.3.3-drbl1) unstable; urgency=low

  * Using the variable sys_pxelinux_required_c32 definied in drbl.conf
    for ocs-update-syslinux.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Feb 2013 20:12:26 +0800

## clonezilla 3.3.10

=== debian/changelog ===
clonezilla (3.3.10-1) unstable; urgency=low

  * Initial release (Closes: #708171)

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 May 2013 19:39:26 +0200

=== debian/control ===
Source: clonezilla
Section: admin
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: http://clonezilla.org

Package: clonezilla
Architecture: all
Depends: ${misc:Depends}, drbl
Description: bare metal backup and recovery of disk drives
 Clonezilla is an OpenSource clone system (OCS) solution with
 unicasting and multicasting.
 .
 Clonezilla, based on drbl, partclone and udpcast, allows you to do
 bare metal backup and recovery. This package provides Clonezilla SE
 (server edition) which is for massive deployment: it can clone many
 (40 plus!) computers simultaneously.
 .
 Clonezilla saves and restores only used blocks in the harddisk. This
 increases the clone efficiency. At the NCHC's Classroom C, Clonezilla
 SE was used to clone 41 computers simultaneously. It took only about
 10 minutes to clone a 5.6 GBytes system image to all 41 computers via
 multicasting.
